Cube Part

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Box and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Page suivante: Cône Part Cone.png Arrow-right.svg

Part Box.svg Boîte Pièce

Emplacement du menu
Pièce → Primitives → Cube
Ateliers
Part, Complete
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Création de primitives


Description

La commande Boîte de l'atelier Pièce insère un parallélépipède droit paramétrique dans le document actif. Par défaut, la commande insère un cube de 10 x 10 x 10 mm positionné à l'origine, avec l'étiquette « Cube ». Ces paramètres peuvent être édités une fois que l'objet a été ajouté.

Boîte

Utilisation

  • Cliquer sur l'icône Part Box.png Cube dans l'atelier Pièce (Part).
  • Vous pouvez également sélectionner Pièce → Primitives → Cube depuis la barre de menu.

Options

  • Via l'Éditeur de propriétés :
    • Length: Définit la longueur de votre objet (par défaut 10 mm).
    • Width: Définit la largeur de votre objet (par défaut 10 mm).
    • Height: Définit la hauteur de votre objet (par défaut 10 mm).
    • Placement: Spécifie l'orientation et la position du cube dans l'espace 3D. Voir le Positionnement. Le point de référence est localisé sur le coin inférieur avant du cube.
    • Label: L'étiquette est le nom donné à l'opération. Ce nom peut être changé selon votre convenance.

Propriétés

Base

  • DONNÉESPlacement: Spécifie l'orientation et la position du cube dans l'espace 3D. Voir Placement. Le point de référence est le coin inférieur avant gauche du cube.
  • DONNÉESLabel: Étiquette donnée à l'objet Cube. Modifiez le label en fonction de vos besoins.

Box

  • DONNÉESLength: Le paramètre length est la dimension de la boîte dans la direction x.
  • DONNÉESWidth: Le paramètre width est la dimension de la boîte dans la direction y.
  • DONNÉESHeight: Le paramètre height est la dimension de la boîte dans la direction z.

Part_Box-Properties

Script

La commande Box peut être utilisée dans macro et à partir de la console python en utilisant la fonction suivante:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Où "myBox" est l'étiquette de l'objet Box.
  • Retourne l'objet nouvellement créé de type Box.

Vous pouvez accéder aux attributs de l'objet Box et les modifier. Par exemple, vous pouvez modifier les paramètres de longueur, largeur et hauteur.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Vous pouvez changer son emplacement avec:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

À partir de la version 0.14 de FreeCAD, Part Box est désigné dans les éléments de l'interface graphique comme un cube et l'étiquette par défaut est "Cube".

FreeCAD.png
Page suivante: Cône Part Cone.png Arrow-right.svg